.personalizador {
    width: 100%;
    padding: 25px 0 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: 'Barlow', sans-serif;
}

.personalizador-container {
    display: flex;
    gap: 40px;
    max-width: 1000px;
    min-width: 1000px;
    width: 57%;
    align-items: stretch;
}

/* ===== COLUNA ESQUERDA ===== */
.personalizador-esquerda {
    flex: 2;
    display: flex;
    flex-direction: column;
}

.titulo-secao {
    font-size: 4vh;
    font-weight: bold;
    color: #0029c1;
    margin-bottom: 12px;
}

.titulo-secao span {
    white-space: nowrap;
}

.grade-planos {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 7px;
    width: fit-content; 
    margin-bottom: 28px;
}

.plano {
    background: transparent;
    border: 2px solid #d8dcee;
    border-radius: 12px;
    height: 130px;
    width: 100%;
    max-width: 260px;
    text-align: center;
    font-size: 26px;
    font-weight: 800;
    color: #0029c1;
    cursor: pointer;
    transition: all 0.2s ease;
}

.plano span {
    display: block;
    font-size: 14px;
    font-weight: 600;
    color: #0b234d;
}

.plano:hover {
    border-color: #0029c1;
}

.plano.ativo {
    color: #fff;
    background-color: #0029c1;
    border-color: #0029c1;
}

.grade-streaming {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 7px;
    width: fit-content; 
    margin-bottom: 28px;
}

.grade-streaming button {
    background: #fff;
    border: 2px solid #d8dcee;
    border-radius: 12px;
    padding: 10px;
    max-width: 260px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.2s ease;
    cursor: pointer;
}

.stream {
    background: #fff;
    border: 2px solid #d8dcee;
    border-radius: 12px;
    height: 130px;
    width: 100%;
    max-width: 260px;
    text-align: center;
    cursor: pointer;
    transition: all 0.2s ease;
    padding: 0;
    /* importante */
    display: flex;
    justify-content: center;
    align-items: center;
}

.grade-streaming button.stream img#paramount {
    width: 100% !important;
    height: auto;
    object-fit: fill;
    object-position: center;
    display: block;
}

.grade-streaming button.stream img#roku {
    width: 65% !important;
    height: auto;
    object-fit: fill;
    object-position: center;
    display: block;
}

.grade-streaming button.stream img#max {
    width: 70% !important;
    height: auto;
    object-fit: fill;
    object-position: center;
    display: block;
}

.grade-streaming button.stream img#canais-ultra {
    width: 90%;
    height: auto;
    object-fit: fill;
    object-position: center;
    display: block;
}

.grade-streaming button.stream img#canais-elite {
    width: 80%;
    height: auto;
    object-fit: fill;
    object-position: center;
    display: block;
}

.grade-streaming button.stream img#canais-play {
    width: 75%;
    height: auto;
    object-fit: fill;
    object-position: center;
    display: block;
}

.btn-pos-relative {
    position: relative;
}

.icone-mais {
    position: absolute;
    top: 5%;
    left: -2%;
    width: 20% !important;
    height: 20% !important;
    pointer-events: none;
    z-index: 2;
}


.grade-streaming button:hover {
    border-color: #0029c1;
}

.grade-streaming button.ativo {
    background: #0029c1;
    border-color: #0029c1;
}

.grade-streaming img {
    width: 80%;
    height: 40px;
    object-fit: contain;
}

/* ===== COLUNA DIREITA ===== */
.personalizador-direita {
    flex: 1;
    background: #fff;
    border: 2px solid #d8dcee;
    border-radius: 20px;
    padding: 18px 20px 24px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    font-family: 'Barlow', sans-serif;
}

.titulo-resumo {
    font-size: 3vh;
    font-weight: bold;
    color: #0029c1;
    margin-bottom: 14px;
}

.resumo-item {
    margin-bottom: 10px;
}

.resumo-titulo {
    font-weight: bold;
    color: #0b234d;
    font-size: 20px;
    margin-bottom: 2px;
}

.resumo-descricao {
    color: #0b234d;
    font-size: 17px;
    margin-bottom: 6px;
}

.sinal-mais {
    font-weight: bold;
    color: #0b234d;
    font-size: 25px;
    margin-bottom: 2px;
}

.resumo-valor {
    color: #7b8090;
    font-size: 13px;
    margin: 0;
}

.resumo-valor span {
    color: #0b234d;
    font-size: 19px;
}

.resumo-desconto {
    display: none;
    color: #7b8090;
    font-size: 13px;
    margin: 0;
}

.resumo-obs-cupom {
    display: none;
    color: #7b8090;
    font-size: 15px;
    margin-bottom: 5px;
}

.resumo-desconto span {
    color: #0b234d;
    font-size: 19px;
}

.linha {
    border-top: 2px solid #e0e3ed;
    margin: 10px 0;
}

.total {
    margin-top: 6px;
}

.btn-finalizar {
    background: #f5b506;
    color: #001d86;
    border: none;
    border-radius: 8px;
    font-size: 15px;
    font-weight: bold;
    padding: 10px 0;
    margin-top: 18px;
    cursor: pointer;
    transition: all 0.2s ease;
    width: 100%;
}

.btn-finalizar:hover {
    background: #d89f01;
}

/* ===== BOTÃO VOLTAR ===== */
.voltar-container {
    display: flex;
    justify-content: flex-end;
    max-width: 1000px;
    min-width: 1000px;
    margin-top: 12px;
}

.btn-voltar {
    background: #0029c1;
    color: #fff;
    border: none;
    border-radius: 8px;
    font-size: 14px;
    font-weight: 700;
    padding: 10px 32px;
    cursor: pointer;
    transition: all 0.2s ease;
}

.btn-voltar:hover {
    background: #001d88;
}

.oculto {
    visibility: hidden;
    position: absolute;
    width: 100%;
    height: 0;
    overflow: hidden;
}


/* ===== Responsivo ===== */
@media (max-width: 900px) {
    .voltar-container {
        justify-content: center;
        min-width: auto;
    }

    .btn-finalizar {
        width: 100%;
    }

    .personalizador-container {
        display: flex;
        gap: 40px;
        max-width: 700px;
        min-width: auto;
        width: 95%;
        align-items: stretch;
        flex-direction: column;
    }
}

.btn-finalizar.desativado,
#btn-cupom.desativado {
    opacity: 0.5;
    cursor: not-allowed;
}

.btn-finalizar,
#btn-cupom {
    position: relative;
}

.btn-finalizar.desativado::after {
    content: "Selecione um plano antes de finalizar";
    position: absolute;
    bottom: 120%;
    left: 50%;
    transform: translateX(-50%);
    background: #333;
    color: #fff;
    padding: 3px 5px;
    border-radius: 5px;
    font-size: 12px;
    white-space: nowrap;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.1s ease;
}

#btn-cupom.desativado::after {
    content: "Selecione um plano antes de aplicar o cupom";
    position: absolute;
    bottom: 120%;
    left: 50%;
    transform: translateX(-50%);
    background: #333;
    color: #fff;
    padding: 3px 5px;
    border-radius: 5px;
    font-size: 12px;
    white-space: nowrap;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.1s ease;
}

.btn-finalizar.desativado:hover::after,
.btn-finalizar.desativado.tooltip-visivel::after,
#btn-cupom.desativado:hover::after,
#btn-cupom.desativado.tooltip-visivel::after {
    opacity: 1;
}

.align-div-cupom {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.align-div-cupom input {
    text-align: center;
    border-radius: 8px;
    border: none;
    font-size: 17px;
    padding: 10px 0;
    transition: all 0.2s ease;
    width: 100%;
    height: 40px;
}

.align-div-cupom input:focus {
    outline: none;
    box-shadow: none;
}

.align-div-cupom input::placeholder {
    color: #999;
    font-size: 17px;
    font-weight: 400;
    font-family: Poppins, sans-serif;
    text-align: center;
    opacity: 1;
}

.align-div-cupom button {
    background: #3fb1ef;
    color: #fff;
    border: none;
    border-radius: 8px;
    font-size: 17px;
    font-weight: bold;
    padding: 10px 0;
    margin-top: 10px;
    cursor: pointer;
    transition: all 0.2s ease;
    width: 100%;
}

.align-div-cupom button:hover {
    background: #059cee;
}

.align-div-cupom aside {
    flex: 1;
    background: #ebebeb;
    border: none;
    border-radius: 15px;
    padding: 15px 15px 15px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    font-family: 'Barlow', sans-serif;
}

/*parte dos roteadores*/

.cobertura-wrapper {
    position: relative;
    width: 80%;
    user-select: none;
    padding-bottom: 20px;
    margin-top: 20px;
}

.roteador-fora {
    position: absolute;
    top: -30px;
    left: 30px;
    height: 100%;
    object-fit: contain;
    z-index: 10;
}

.cobertura-container {
    background-color: #ffc927;
    border-radius: 12px;
    padding: 20px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    height: 130px;
}

.controle-quantidade {
    background: white;
    border-radius: 12px;
    display: flex;
    justify-content: space-between;
    height: 90%;
    width: 45%;
    border: 2px solid #d8dcee;
}

.btn-quantidade {
    flex: 1;
    border: none;
    background: none;
    font-size: 5vh;
    color: #7e7e7e;
    padding: 8px 12px;
    cursor: pointer;
    user-select: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.controle-quantidade input {
    width: 37%;
    font-size: 5vh;
    color: #7e7e7e;
    border-left: 2px solid #d8dcee;
    border-right: 2px solid #d8dcee;
}

.btn-quantidade:first-child:hover {
    background-color: rgb(236, 236, 236);
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.btn-quantidade:last-child:hover {
    background-color: rgb(236, 236, 236);
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

.quantidade {
    text-align: center;
    border: none;
    outline: none;
    user-select: none;
    pointer-events: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.btn-quantidade,
.quantidade {
    display: flex;
    align-items: center;
    justify-content: center;
}

.roteador-info {
    display: block;
    font-style: italic;
    color: #666;
    margin-top: 20px;
}

#resumo-roteador {
    display: none;
}